Skip to main content
`Ctrl`+`K`

# DMSetSnapToGeomModel

Choose a geometry model for this `DM`.

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMSetSnapToGeomModel(DM dm, const char name[])

Not Collective

## Input Parameters

- dm - The `DM` object

- name - A geometry model name, or `NULL` for the default

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMRefine()`, `DMPlexCreate()`, `DMSnapToGeomModel()`

## Level

intermediate

## Location

src/dm/interface/dmgeommodel.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages